PUT /api/v1/invitations/extend — Extend Single Invitation
Extend the expiry date of a single signing invitation. Use this to give a signer more time to complete signing before the invitation expires.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- destinationId (GUID, required)
- The unique identifier of the destination/invitation.
- availableTo (string, required)
- New expiry date/time (ISO 8601 format).
{
"destinationId": "e96ed7d6-60e3-4faf-a7d5-5ba5f860bb1a",
"availableTo": "2025-12-29T12:00:00Z"
}Responses
HTTP 200 — Invitation extended
{
"data": true,
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 200 — AvailableTo is in the past
{
"data": false,
"errorCode": 16,
"message": "AvailableTo is in the past",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}